package cn.reghao.devops.mgr.admin.db.repository;

import cn.reghao.devops.mgr.admin.model.po.NotifyReceiver;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * @author reghao
 * @date 2024-01-26 20:02:50
 */
public interface NotifyReceiverRepository extends JpaRepository<NotifyReceiver, Integer> {
    NotifyReceiver findByName(String name);
    NotifyReceiver findByTypeAndSetdefaultIsTrue(String type);
    NotifyReceiver findBySetdefaultIsTrue();
}
